package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.alibaba.fastjson2.JSONObject;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 桩机指令下发历史对象 cons_machine_cmd_his
 * 
 * @author ruoyi
 * @date 2025-02-12
 */
public class ConsMachineCmdHis extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** $column.columnComment */
    private Long toMachineId;

    /** 指令内容 */
    @Excel(name = "指令内容")
    private JSONObject cmdContent;

    /** 指令状态 */
    @Excel(name = "指令状态")
    private String cmdResult;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setToMachineId(Long toMachineId) {
        this.toMachineId = toMachineId;
    }

    public Long getToMachineId() {
        return toMachineId;
    }

    public JSONObject getCmdContent() {
        return cmdContent;
    }

    public void setCmdContent(JSONObject cmdContent) {
        this.cmdContent = cmdContent;
    }

    public void setCmdResult(String cmdResult) {
        this.cmdResult = cmdResult;
    }

    public String getCmdResult() {
        return cmdResult;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("toMachineId", getToMachineId()).append("cmdContent", getCmdContent())
            .append("cmdResult", getCmdResult()).append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime()).append("createBy", getCreateBy()).append("updateBy", getUpdateBy())
            .toString();
    }
}
